#ifndef __Quad2D__
#define __Quad2D__

#include "QuadRules.h"

// Gaussian-Legendre rules for quad & triangle, 2 x 2 points and 3 x 3 points.

extern const QuadRule GL_QUAD_1;
extern const QuadRule GL_QUAD_2;
extern const QuadRule GL_QUAD_3;
extern const QuadRule GL_QUAD_4;
extern const QuadRule GL_QUAD_5;
extern const QuadRule GL_QUAD_6;

extern const QuadRule GL_TRI_1; 
extern const QuadRule GL_TRI_2; 
extern const QuadRule GL_TRI_3; 
extern const QuadRule GL_TRI_4; 
extern const QuadRule GL_TRI_5; 
extern const QuadRule GL_TRI_6; 

// Gaussian-Jacobi rules for quad & triangle, 2 x 2 points and 3 x 3 points.

extern const QuadRule GJ_TRI_2; 
extern const QuadRule GJ_QUAD_2;
extern const QuadRule GJ_TRI_3; 
extern const QuadRule GJ_QUAD_3;

/*
	Note: the domain of the integrals is
		QUAD - the square (-1, -1), (1, -1), (1, 1), (-1, 1); area = 4
		TRI - the triangle (0, 0), (0, 1), (1, 0); area = 1/2
*/

QuadRule MakeTri2DRule(const QuadRule &rule1D);
QuadRule MakeQuad2DRule(const QuadRule &rule1D);

#endif
